# I3DExPoserSkinningAlgorithm Struct Reference

Inheritance diagram for I3DExPoserSkinningAlgorithm:

List of all members.

## Public Member Functions
virtual void | SetJointBend (int32 jointIndex, boolean bend)=0
virtual void | AddJointParam (int32 jointIndex, IPoserJointParam *jointParam)=0
virtual void | ValidateJointParams ()=0
virtual void | ComputeWeights (I3DExVertexPrimitive *vertexPrimitive)=0
virtual void | ComputeWeights (TVertexSkinInfo &vertexInfo, const TVector3 &vertex)=0
virtual void | GetGlobalOrigins (TMCArray< TVector3 > &outOrigins)=0
virtual void | GetJointReferenceTransform (int32 jointIndex, TTransform3D &outTransform)=0
virtual void | GetJointSkinData (int32 jointIndex, TJointSkinningData &jointSkinningData)=0
virtual boolean | GetJointBend (int32 jointIndex)=0
virtual int32 | GetJointCount ()=0
virtual IPoserJointParam * | GetRotationParam (int32 jointIndex, int32 axis)=0
virtual IPoserJointParam * | GetScaleParam (int32 jointIndex)=0
virtual IPoserJointParam * | GetCurveParam (int32 jointIndex)=0
virtual void | SetJointSkinData (int32 jointIndex, const TJointSkinningData &jointSkinningData)=0
virtual void | SetProgressBar (TProgressBarHelper *progressBar)=0

## Member Function Documentation

virtual void I3DExPoserSkinningAlgorithm::AddJointParam | ( | int32 | jointIndex,
|  | IPoserJointParam * | jointParam |
| ) |  |  | `[pure virtual]`

virtual void I3DExPoserSkinningAlgorithm::ComputeWeights | ( | TVertexSkinInfo & | vertexInfo,
|  | const TVector3 & | vertex |
| ) |  |  | `[pure virtual]`

virtual void I3DExPoserSkinningAlgorithm::ComputeWeights | ( | I3DExVertexPrimitive * | vertexPrimitive | ) | `[pure virtual]`

virtual IPoserJointParam* I3DExPoserSkinningAlgorithm::GetCurveParam | ( | int32 | jointIndex | ) | `[pure virtual]`

virtual void I3DExPoserSkinningAlgorithm::GetGlobalOrigins | ( | TMCArray< TVector3 > & | outOrigins | ) | `[pure virtual]`

virtual boolean I3DExPoserSkinningAlgorithm::GetJointBend | ( | int32 | jointIndex | ) | `[pure virtual]`

virtual int32 I3DExPoserSkinningAlgorithm::GetJointCount | ( |  | ) | `[pure virtual]`

virtual void I3DExPoserSkinningAlgorithm::GetJointReferenceTransform | ( | int32 | jointIndex,
|  | TTransform3D & | outTransform |
| ) |  |  | `[pure virtual]`

virtual void I3DExPoserSkinningAlgorithm::GetJointSkinData | ( | int32 | jointIndex,
|  | TJointSkinningData & | jointSkinningData |
| ) |  |  | `[pure virtual]`

virtual IPoserJointParam* I3DExPoserSkinningAlgorithm::GetRotationParam | ( | int32 | jointIndex,
|  | int32 | axis |
| ) |  |  | `[pure virtual]`

virtual IPoserJointParam* I3DExPoserSkinningAlgorithm::GetScaleParam | ( | int32 | jointIndex | ) | `[pure virtual]`

virtual void I3DExPoserSkinningAlgorithm::SetJointBend | ( | int32 | jointIndex,
|  | boolean | bend |
| ) |  |  | `[pure virtual]`

virtual void I3DExPoserSkinningAlgorithm::SetJointSkinData | ( | int32 | jointIndex,
|  | const TJointSkinningData & | jointSkinningData |
| ) |  |  | `[pure virtual]`

virtual void I3DExPoserSkinningAlgorithm::SetProgressBar | ( | TProgressBarHelper * | progressBar | ) | `[pure virtual]`

virtual void I3DExPoserSkinningAlgorithm::ValidateJointParams | ( |  | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- I3DExPoserSkinningAlgorithm.h